### Method

# Gtk ProgressBarset_fraction

#### Declaration [src]

    void
    gtk_progress_bar_set_fraction (
      GtkProgressBar* pbar,
      double fraction
    )

#### Description [src]

Causes the progress bar to “fill in” the given fraction of the bar.

The fraction should be between 0.0 and 1.0, inclusive.

Sets property | `Gtk.ProgressBar:fraction`

#### Parameters

`fraction`

  Type: `double`

  Fraction of the task that’s been completed.